Debian Bug report logs - #446969
javaws: gtk_widget_realize: assertion `GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE (widget)'

version graph

Package: sun-java6-bin; Maintainer for sun-java6-bin is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>;

Reported by: David Stanaway <david@stanaway.net>

Date: Wed, 17 Oct 2007 01:30:01 UTC

Severity: normal

Found in version sun-java6/6-03-2

Fixed in version sun-java6/6.20-dlj-2

Done: Torsten Werner <twerner@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@ubuntu.com>:
Bug#446969; Package sun-java6-bin. Full text and rfc822 format available.

Acknowledgement sent to David Stanaway <david@stanaway.net>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@ubuntu.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Stanaway <david@stanaway.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: javaws: gtk_widget_realize: assertion `GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE (widget)'
Date: Tue, 16 Oct 2007 20:26:27 -0500
Package: sun-java6-bin
Version: 6-03-2
Severity: normal

javaws aborts after launch after making the viewer window visible.
javaws also abort when trying to lanch a java app jnlp URL with
-Xnosplash so it may be a java issue, not isolated to javaws.

This is new behaviour after recent GNOME updates on unstable.


david@home:~$ ls -l /etc/alternatives/javaws
lrwxrwxrwx 1 root root 38 2007-09-15 15:51 /etc/alternatives/javaws ->
/usr/lib/
jvm/java-6-sun/jre/bin/javaws
david@home:~$ javaws -verbose -viewer
Java(TM) Web Start 1.6.0_03 Launching:
/usr/lib/jvm/java-6-sun-1.6.0.03/jre/bin/
java
/usr/lib/jvm/java-6-sun-1.6.0.03/jre/bin/java
 -Xbootclasspath/a:/usr/lib/jvm/java-6-sun-1.6.0.03/jre/lib/javaws.jar:/usr/lib/
jvm/java-6-sun-1.6.0.03/jre/lib/deploy.jar
 -classpath
/usr/lib/jvm/java-6-sun-1.6.0.03/jre/lib/deploy.jar
 -Djava.security.policy=file:/usr/lib/jvm/java-6-sun-1.6.0.03/jre/lib/security/j
avaws.policy
 -DtrustProxy=true
 -Xverify:remote
 -Djnlpx.home=/usr/lib/jvm/java-6-sun-1.6.0.03/jre/bin
 -Djnlpx.jvm=/usr/lib/jvm/java-6-sun-1.6.0.03/jre/bin/java
	 com.sun.javaws.Main
 -viewer
	   
 david@home:~$ 
 (<unknown>:20542): Gtk-WARNING **: Attempting to add a widget
 with type GtkButto
 n to a GtkComboBoxEntry (need an instance of GtkEntry or of a
 subclass)

 (<unknown>:20542): Gtk-CRITICAL **: gtk_widget_realize:
 assertion `GTK_WIDGET_AN
 CHORED (widget) || GTK_IS_INVISIBLE (widget)' failed

 (<unknown>:20542): Gtk-CRITICAL **: gtk_paint_box: assertion
 `style->depth == gd
 k_drawable_get_depth (window)' failed

 (<unknown>:20542): Gtk-CRITICAL **: gtk_paint_box: assertion
 `style->depth == gd
 k_drawable_get_depth (window)' failed
 /usr/lib/bug-buddy/<unknown>: No such file or directory.



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages sun-java6-bin depends on:
ii  debconf [debconf-2.0]         1.5.14     Debian configuration management sy
ii  libc6                         2.6.1-5    GNU C Library: Shared libraries
ii  libstdc++5                    1:3.3.6-15 The GNU Standard C++ Library v3
ii  sun-java6-jre                 6-03-2     Sun Java(TM) Runtime Environment (
ii  unixodbc                      2.2.11-16  ODBC tools libraries

Versions of packages sun-java6-bin recommends:
ii  libasound2                1.0.14a-2      ALSA library
ii  libgcc1                   1:4.2.2-3      GCC support library
ii  libnss-mdns               0.10-3         NSS module for Multicast DNS name 
ii  libx11-6                  2:1.0.3-7      X11 client-side library
ii  libxext6                  1:1.0.3-2      X11 miscellaneous extension librar
ii  libxi6                    2:1.1.3-1      X11 Input extension library
ii  libxp6                    1:1.0.0.xsf1-1 X Printing Extension (Xprint) clie
ii  libxtst6                  2:1.0.3-1      X11 Testing -- Resource extension 

-- debconf information:
* shared/accepted-sun-dlj-v1-1: true
  shared/error-sun-dlj-v1-1:
* shared/present-sun-dlj-v1-1:




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@ubuntu.com>:
Bug#446969; Package sun-java6-bin. Full text and rfc822 format available.

Acknowledgement sent to David Stanaway <david@stanaway.net>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@ubuntu.com>. Full text and rfc822 format available.

Message #10 received at 446969@bugs.debian.org (full text, mbox):

From: David Stanaway <david@stanaway.net>
To: 446969@bugs.debian.org
Subject: Re: Bug#446969: Acknowledgement (javaws: gtk_widget_realize: assertion `GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE (widget)')
Date: Tue, 16 Oct 2007 23:15:01 -0500
After having this issue for several days and submitting the bug, now I 
have made a change that seems to have resolved it, but I am not sure 
what it is.

I move my ~/.java to ~/.java.old and re-ran my procedure that always 
throws an exception and spawns a gnome bugbuddy window.

This time it ran fine without the gnome bugbuddy dialog popping up, but 
the same exception logged to terminal.

david@home:~$ javaws -viewer
david@home:~$
(<unknown>:25602): Gtk-WARNING **: Attempting to add a widget with type 
GtkButton to a GtkComboBoxEntry (need an instance of GtkEntry or of a 
subclass)

(<unknown>:25602): Gtk-CRITICAL **: gtk_widget_realize: assertion 
`GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE (widget)' failed

(<unknown>:25602): Gtk-CRITICAL **: gtk_paint_box: assertion 
`style->depth == gdk_drawable_get_depth (window)' failed

(<unknown>:25602): Gtk-CRITICAL **: gtk_paint_box: assertion 
`style->depth == gdk_drawable_get_depth (window)' failed


My webstart cache was empty so I ran with the jnlp for the app I wanted 
to run:

javaws  -Xnosplash http://www.vassalengine.org/ws/vassal.jnlp

This ran with no problems.

I had a copy of the .java directory before I made any changes and copied 
it back to .java and tried to reproduce the problem, but now I can't 
reproduce it.

Looking at my home directory, the only other top level area that got 
modified was .gconf/%gconf-tree.xml which was modified after I moved the 
old ~/.java to ~/.java.old

-rw-------   1 david david     11884 2007-10-16 19:35 .bash_history
drwxr-xr-x   4 david david        33 2007-10-16 19:37 .apt-watch
drwx------   2 david david        24 2007-10-16 22:06 .gconfd
drwxr-xr-x   4 david david        43 2007-10-16 22:27 bluej
drwxr-xr-x   3 david david        23 2007-10-16 22:31 .java.new
drwxr-xr-x   8 david david      4096 2007-10-16 22:37 VASSAL
drwxr-xr-x   2 david david      4096 2007-10-16 22:39 .gnome-desktop
drwxr-xr-x   5 david david      4096 2007-10-16 22:39 Desktop
drwx------   6 david david      4096 2007-10-16 22:48 .purple
drwxr-xr-x 117 david david      8192 2007-10-16 22:49 .
drwx------   6 david david        80 2007-10-16 22:49 .gconf
-rw-r--r--   1 david david     28039 2007-10-16 22:52 .xsession-errors

david@home:~$ ls -la .gconf/
total 396
drwx------   6 david david     80 2007-10-16 22:49 .
drwxr-xr-x 117 david david   8192 2007-10-16 22:49 ..
drwx------  26 david david   4096 2006-03-03 14:09 apps
drwx------   3 david david     35 2005-04-09 07:12 desktop
-rw-------   1 david david 386541 2007-10-16 22:49 %gconf-tree.xml
drwx------   3 david david     34 2005-04-09 08:27 schemas
drwx------   3 david david     39 2005-11-14 23:09 system

At this point - I am sorry, but I can't reproduce the issue further. 
Hopefully this helps someone else at least (Purging their ~/.java MAY 
help). I may have a recent backup of my ~/home where I was experiencing 
the problem and will try and get a snapshot of that for further 
investigation if I can reproduce the issue.

Debian Bug Tracking System wrote:
> Thank you for the problem report you have sent regarding Debian.
> This is an automatically generated reply, to let you know your message has
> been received.  It is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
> 
> Your message has been sent to the package maintainer(s):
>  Matthias Klose <doko@ubuntu.com>
> 
> If you wish to submit further information on your problem, please send
> it to 446969@bugs.debian.org (and *not* to
> submit@bugs.debian.org).
> 
> If you have filed this report in error and wish to close it, please
> send mail to 446969-done@bugs.debian.org with an explanation
> why the bug report should be closed.
> 
> Please do not reply to the address at the top of this message,
> unless you wish to report a problem with the Bug-tracking system.
> 
> Debian bug tracking system administrator
> (administrator, Debian Bugs database)
> 





Reply sent to mail.twerner@googlemail.com:
You have taken responsibility. (Sat, 01 May 2010 14:27:04 GMT) Full text and rfc822 format available.

Notification sent to David Stanaway <david@stanaway.net>:
Bug acknowledged by developer. (Sat, 01 May 2010 14:27:04 GMT) Full text and rfc822 format available.

Message #15 received at 446969-done@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: 446969-done@bugs.debian.org
Subject: Bug #446969 javaws: gtk_widget_realize: assertion `GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE (widget)'
Date: Sat, 1 May 2010 16:23:44 +0200
Package: sun-java6-bin
Version: 6.20-dlj-2

I am closing bug because it is old and cannot be reproduced.

Torsten




Bug No longer marked as fixed in versions sun-java6-bin/6.20-dlj-2. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sun, 08 May 2011 08:45:07 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions sun-java6/6.20-dlj-2. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sun, 08 May 2011 08:45:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 Jun 2011 07:36:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:08:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.